<?PHP

// Librairie de fonctions communes de l'application web.
// Ajoute un «Leading zero» pour les nombes plus petit que 10.
function plusPetit($donnee) {
    if ($donnee < 10) {
        $donnee = '0$donnee';
    }
    return $donnee;
}

// Obtient le temps présent
function getMicroTime() {
    list($usec, $sec) = explode(" ", microtime());
    return ((float) $usec + (float) $sec);
}

// Formatte un numéro de téléphone.
function formatPhone($phone) {
    $phone2 = preg_replace("/[^0-9]/", "", $phone);

    if (strlen($phone2) == 7) {
        return preg_replace("/([0-9]{3})([0-9]{4})/", "$1-$2", $phone2);
    } elseif (strlen($phone2) == 10) {
        return preg_replace("/([0-9]{3})([0-9]{3})([0-9]{4})/", "($1) $2-$3", $phone2);
    } else {
        return $phone2;
    }
}

//Validation du numéro de téléphone
// Format : (xxx) xxx-xxxx
function isValidPhone($phone) {
    return preg_match("/\(([0-9]{3})\) ([0-9]{3})-([0-9]{4})/", $phone);
}

//Valide le code postal
//Format : A9A 9A9
function isValidCodePostal($codepostal) {
    return preg_match("/^[ABCEGHJ-NPRSTVXY]\d[ABCEGHJ-NPRSTV-Z]\s\d[ABCEGHJ-NPRSTV-Z]\d$/", $codepostal) == 1;
}
